import request from '@/utils/request'

// 查询版本列表
export function listVersion(query) {
  return request({
    url: '/cai/version/list',
    method: 'get',
    params: query
  })
}

// 查询版本详细
export function getVersion(id) {
  return request({
    url: '/cai/version/' + id,
    method: 'get'
  })
}

// 新增版本
export function addVersion(data) {
  return request({
    url: '/cai/version',
    method: 'post',
    data: data
  })
}

// 修改版本
export function updateVersion(data) {
  return request({
    url: '/cai/version',
    method: 'put',
    data: data
  })
}

// 删除版本
export function delVersion(id) {
  return request({
    url: '/cai/version/' + id,
    method: 'delete'
  })
}
